︠65ba7eb2-e27f-4b42-824e-1dfc29c1af3c︠
#illustration of minimax problem of interpolation
#equally spaced points

from numpy import linspace
x = var('x')
#equally spaced points between -1.0 and 1.0
xpoints = linspace(start=-1.0, stop= 1.0, num = 9)

#create an array of the terms for interpolation error polynomial
terms = [x- xpoints[i] for i in range(xpoints.size)]

#multiply the terms together and place in a fuction
func = prod(terms)
p = plot(func)

#create tuple of points for which y(x) = 0
pointsAtZero = [[xpoints[i],0] for i in range(xpoints.size)]

p1 = list_plot(pointsAtZero, rgbcolor = (1,0,0))
(p + p1).show(ymax = .02)
︡2373cdb5-6cae-48ad-93d7-ce06677ec3df︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
